/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#ifndef LOGCLASS_H
#define LOGCLASS_H

#include <QString>
#include <QHash>
#include <QTime>

class LogClass
{
public:
    LogClass();
    void LogStr(QString domain,
                int level,
                QString str,
                const char *pFunction,
                const char *pFile,
                int line);

private:
    bool printDomain(QString domain, int level);
    QHash<QString, int> requestedDomains;
    bool debugRootDomain;
    QTime startTime;

};

#endif // LOGCLASS_H
