/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#ifndef RULEEDIT_H
#define RULEEDIT_H

#include <QDialog>
#include <QLineEdit>
#include <QDateTime>
#include <QCloseEvent>

#include "RuleClass.h"

class RuleEdit : public QDialog
{
    Q_OBJECT

public:
    RuleEdit(QWidget *pParent = 0);
    void GetRule(RuleClass *pRule);
    void SetRule(RuleClass *pRule);
    void closeEvent ( QCloseEvent * event );
private:
    QDate date;
    QLineEdit *pAccountMax;
    QLineEdit *pMonthlyMax;
    QLineEdit *pMonthlyFixed;
    QLineEdit *pPercentage;
};

#endif // RULEEDIT_H
