/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#ifndef BUDGETVIEWDELEGATE_H
#define BUDGETVIEWDELEGATE_H

#include <QStyledItemDelegate>
#include <QObject>

class BudgetViewDelegate : public QStyledItemDelegate
{
public:
    BudgetViewDelegate(QObject *pParent);

    // Implementation of the virtual functions
    void paint(QPainter *pPainter, const QStyleOptionViewItem &option, const QModelIndex &index) const;
    QSize sizeHint(const QStyleOptionViewItem &option, const QModelIndex &index) const;
    QWidget* createEditor(QWidget *parent,
                         const QStyleOptionViewItem &option,
                         const QModelIndex &index) const;
    void setEditorData(QWidget *editor, const QModelIndex &index) const;
    void setModelData(QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const;

};

#endif // BUDGETVIEWDELEGATE_H
