/*
  The code in this file is licensed under Public Domain.
  The license can be found at http://creativecommons.org/licenses/publicdomain/.
  */

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "BudgetModel.h"

#include <QtGui/QMainWindow>
#include <QTableView>

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

private:
    BudgetModel *pBudgetModel;
    QTableView  *pView;
};

#endif // MAINWINDOW_H
